Subject: bug#34181: guile-hall: no code for module (config)

From: Jack Hill <[email-masked]>
Date: Mon, 28 Jan 2019 20:00:40 -0500 (EST)

On Fri, 25 Jan 2019, Alex Sassmannshausen wrote:

> OK, I did some research.  The issue is as follows:
> - Virtually all guile packages declare guile an input, but not a
>  propgated input.  This seems to make Guile available in the
>  environment, but without the Guile environment paths defined.
> - Guile-DBI on the other hand seems to declare guile a propagated
>  input.  This causes the environment paths to be set.
> - Similarly, when you install in your profile:
>  + installing guile too will encourage you to set up the environment
>    path.
>  + installing only the library will not.
>  + installing only guile will not do this either (see the example in
>    the manual, at
>    https://www.gnu.org/software/guix/manual/en/html_node/Invoking-guix-package.html#index-search-paths
> - When you install, either in environment, or in profile, both guile and
>  a guile-library, the env variables are set/reported correctly.
>
> This looks like it is intended behaviour.
>
> Please test and let me know if this resolves the issue for you!

I am happy to confirm that in an environment with both guile and 
guile-hall, the hall command works as expected (regardless of the 
setting of the correct paths using hall without guile is silly since it is 
a tool to aid in the development of guile projects ☺).

However, I think that Ricardo might be right, and the hall cli should wrap 
these paths, since hall is an executable and not only a guile library.

Best,
Jack